Subject: bug#26339: [PATCH 17/18] scripts: system: Adapt "switch-generation" to new bootloader API.

From: Mathieu Othacehe <[email-masked]>
Date: Sat, 15 Apr 2017 19:27:09 +0200

Thanks again for your patience Danny !

> Wait.  So that's the only reason for boot-type ?  I guess it works like that too, but couldn't we check the operating-system bootloader-configuration directly ?  Or is it for something completely different ?

Yes my idea was to use the boot-type to keep track of the installed
bootloader, for each system generation (and to restore it if needed).

I tried to find a better idea but I didn't. I'm not sure what you mean
by checking "bootloader-configuration" ?

Mathieu